function [ y ] = row_major_restore( x, s )
%
% Transform a row-major order hyperspectral image 'x' in a cube of 's' dimensions
%
% Author: Pablo Quesada Barriuso

if nargin ~= 2
    error('Use: row_major_restore( instances_row_major, size( cube ) )')
else
    y = reshape( x, s(2), s(1), s(3) );
    y = permute(y, [2, 1, 3]);
end;

end
