function [ y ] = row_major( x )
%
% Transform a hyperspectral cube 'x' in a row-major matrix
%
% Author: Pablo Quesada Barriuso

if nargin < 1
    error('Use: row_major( hyperspectral_cube )')
else
    y = reshape( permute(x, [2 1 3]), size(x,1) * size(x,2), size(x,3));
end;

end
