function [ y ] = stack_vector( a, b )
%
% stack 'a' and 'b' to created a new vector. Both 'a' and 'b' are 
%hyperspectral cubes. The stack vector is done in the third dimension
%
% Author: Pablo Quesada Barriuso
%
% The purpose of this function is create the stack vectors from two 
% datasets which normally represents the original data 'a' and some
% new features 'b'.
%
% The number of columns and rows must be the same for 'a' and 'b'

y = a;
y(:,:,size(a,3)+1:size(a,3)+size(b,3)) = b;

end

